Subject: Re: bug#68559: [PATCH] Improve Python shell completion

From: Liu Hui <[email-masked]>
Date: Sat, 16 Mar 2024 14:49:20 +0800

On Thu, Mar 14, 2024 at 10:24 PM Basil L. Contovounesios
<[email-masked]> wrote:
>
> Liu Hui [2024-03-13 18:21 +0800] wrote:
>
> > On Tue, Mar 12, 2024 at 12:02 AM Basil L. Contovounesios
> > <[email-masked]> wrote:
> >>
> >> Thanks!  But that makes me wonder: in the cases where we check
> >>
> >>   (string= python-shell-readline-completer-delims "")
> >>
> >> is there a possibility that the variable's value will be nil?
> >> (In which case we should compare with equal instead of string=.)
> >
> > Yes, it is a string with native completion and may be nil with
> > non-native completion.
>
> Sorry, I completely forgot that string= works on symbols too.  I was
> worried that (string= nil "") would signal an error, but it actually
> does what we want.
>
> > I have updated the patch.
>
> Thanks, pushed:
>
> Detect the readline support for Python shell completion
> a7057745f5e 2024-03-14 15:09:56 +0100
> https://git.sv.gnu.org/cgit/emacs.git/commit/?id=a7057745f5e
>
> Is there more left to do as part of this bug report?

I think there is none.